• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/ForeignSystem/DeleteForeignKey

Some tooltip text!
• 2 minutes to read
 • 2 minutes to read
POST /api/v1/Agents/ForeignSystem/DeleteForeignKey

Deletes all specified occurrences of a key, belonging to the ForeignApp and ForeignDevice, table and record specified.

Specifying a blank table name will delete ALL keys of the given name; specifying a recordId of 0 will delete ALL keys of the given name for the given table. NsApiSlow threshold: 5000 ms.

Query String Parameters

Parameter Name Type Description
$select string Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
POST /api/v1/Agents/ForeignSystem/DeleteForeignKey?$select=name,department,category/id

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in:
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: request

ForeignKey, ApplicationName, DeviceName, DeviceIdentifier, TableName, RecordId

Property Name Type Description
ForeignKey ForeignKey Carrier object for ForeignKey. Services for the ForeignKey Carrier is available from the ForeignSystem Agent.
ApplicationName String
DeviceName String
DeviceIdentifier String
TableName String
RecordId Integer

Response:

No Content

Response Description
204 No Content

Response body: TimeZoneData

Sample request

POST /api/v1/Agents/ForeignSystem/DeleteForeignKey
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8

{
  "ForeignKey": null,
  "ApplicationName": "O'Kon-Runolfsdottir",
  "DeviceName": "Prohaska Group",
  "DeviceIdentifier": "qui",
  "TableName": "Willms LLC",
  "RecordId": 156
}

Sample response

HTTP/1.1 204 No Content
Content-Type: application/json; charset=utf-8

null
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top